///////////////////////////////////////////////////////////
//  CourseMgr.h
//  Implementation of the Class CourseMgr
//  Created on:      11-7-2011 23:50:39
//  Original author: u90499
///////////////////////////////////////////////////////////
#ifndef CourseMgr_H_
#define CourseMgr_H_

#include "Course.h"


class CourseMgr
{

public:
	CourseMgr();
	virtual ~CourseMgr();
	
	//
	// コースを作成する
	//
	void createCourse(Em_CourseKind::eCourseKind iCourseKind);

	//
	// 次区間取得
	//
	bool getNextSection(st_section&);

	Em_CourseKind::eCourseKind getCourseKind(){return m_emCourseKind;}
	

private:
	
	Course* m_Course;
	
	//
	// 現在の区間ID
	//
	int iCurrentSectionID;
	
	
	int iSectionMax;
	
	Em_CourseKind::eCourseKind m_emCourseKind;

};


inline bool CourseMgr::getNextSection(st_section& section) {
	
	iCurrentSectionID++;
	if (iCurrentSectionID >= m_Course->m_iSectionMax) {
		return false;
	}
	section = m_Course->m_section[iCurrentSectionID];
	return true;
	
}


#endif
